<?php

$cate = function()
{
	$array = array();
	$cate = Dever::config('base')->tagCate;
	if (!$cate) {
		$cate = 'tag/cate';
	}
	$info = Dever::db($cate)->state();
	if($info)
	{
		$array += $info;
	}
	return $array;
};

return array
(
	# 表名
	'name' => 'info',
	# 显示给用户看的名称
	'lang' => '标签列表',
	# 是否显示在后台菜单
	'order' => 10,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'asc',
			'list'		=> true,
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '标签名称',
			'default' 	=> '',
			'desc' 		=> '标签名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> true,
		),

		'color'		=> array
		(
			'type' 		=> 'varchar-10',
			'name' 		=> '颜色-请填写颜色代码',
			'default' 	=> '',
			'desc' 		=> '颜色',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'icon'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '图标',
			'default' 	=> '',
			'desc' 		=> '请选择图标',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'cate_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '选择分类',
			'default' 	=> '1',
			'desc' 		=> '选择分类',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $cate,
			'list'		=> true,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		# 列表页的类型
		'button' => array
        (
        	'标签分类' => array('list', 'cate&oper_parent=info&oper_project=tag'),
        ),
	),

	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'ids' => array('yes-id', 'in'),
				'cate_id' => 'yes',
				'name' => array('yes', 'like'),
				'id' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'desc'),
			'limit' => '0,1000',
			'col' => 'name as name, id, id as value, "" as selected, "" as disabled|id',
		),
		
		'getAllByIds' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'ids' => array('yes-id', 'in'),
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'desc'),
			'col' => '*',
		),

		'getAllByName' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'name' => array('yes', 'like'),
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'desc'),
			'col' => '*,name as value,name as label|id',
		),

		'getAllByCate' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'cate_id' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'desc'),
			'col' => 'id,name',
		),

		'getList' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'cate_id' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'desc'),
			'limit' => '0,15',
			'col' => 'id,name',
		),
	)
);
